summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2022-09-09 18:17:45 +0200
committerBent Bisballe Nyeng <deva@aasimon.org>2022-12-27 10:21:36 +0100
commitf98fd90da38fef1f63324fe19f57c8e5abf87968 (patch)
tree2ec89ed9273f011c59758d2ade6417d90769ec98 /bootstrap.sh
parente1030dc6e69863438fe35a628bd6af9abc814b4a (diff)
Use set -e in bootstrap script instead of && between commands.win32
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index a5c11ac..3a9c454 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,7 +1,8 @@
#!/bin/sh
+set -e
echo "Bootstrapping..."
-g++ -std=c++20 -Wall -O3 -Isrc -pthread src/bootstrap.cc ctor.cc test/ctor.cc -o ctor && \
-./ctor && \
-g++ -std=c++20 -Wall -O3 -Isrc -pthread ctor.cc test/ctor.cc -Lbuild -lctor -o ctor && \
-./ctor configure --ctor-includedir=src --ctor-libdir=build && \
+g++ -std=c++20 -Wall -O3 -Isrc -pthread src/bootstrap.cc ctor.cc test/ctor.cc -o ctor
+./ctor
+g++ -std=c++20 -Wall -O3 -Isrc -pthread ctor.cc test/ctor.cc -Lbuild -lctor -o ctor
+./ctor configure --ctor-includedir=src --ctor-libdir=build
echo "Done. Now run ./ctor to (re)build."